Scrape a single URL
/scrapeAuthorization
api-key Enter your API key with the bc_ prefix
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
URL to scrape. Either url or domain is required.
Domain to scrape. Normalized to https://domain when url is omitted.
Output formats - can be simple strings or format objects with options
Default
[ "markdown"]Extract only main content
trueCSS selectors to include
CSS selectors to exclude
Wait time before scraping (ms)
0Cache max age in milliseconds
172800000Request timeout in milliseconds
30000Document parsers to enable
Proxy mode. auto starts direct and escalates only when blocked. basic is an alias for none.
"auto"Value in
- "none"
- "basic"
- "datacenter"
- "residential"
- "stealth"
- "auto"
Location settings
Custom headers
Browser actions to execute
Store result in cache
trueSchema for structured data extraction (used with json format)
Emulate mobile device for scraping
falseEnable ad-blocking and cookie popup blocking
trueRemove base64 images from output (keeps alt text)
trueReturn screenshot/PDF output inline as a base64 data URL instead of an uploaded CDN URL. Default false (a CDN URL is returned).
falseSkip TLS certificate verification
trueEnable zero data retention mode (requires activation)
falseResponse Body
application/json
curl -X POST "https://example.com/scrape" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "data": { "markdown": "# Page Title\n\nContent here...", "html": "<h1>Page Title</h1>..." }, "metadata": { "url": "https://example.com", "statusCode": 200, "contentType": "text/html", "title": "Example Domain", "timestamp": "2025-10-28T12:00:00.000Z" }, "credits": { "used": 2 }}